Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Visitor
commd
Posts: 1
Registered: ‎12-16-2010
My Device: Not Specified
Accepted Solution

Having problems getting Ripple Start Services to work.

I get the following message in a DOS window:

 

 

 

node.js:205
throw e; // process.nextTick error, or 'error' event on first tick
^
Error: Cannot find module 'delayed-stream'
at Function._resolveFilename (module.js:318:11)
at Function._load (module.js:263:25)
at Module.require (module.js:341:17)
at require (module.js:352:17)
at Object.<anonymous> (C:\Users\Chuck\AppData\Local\Google\Chrome\User Data\
Default\Extensions\cnijnnaimeaacneklcndcafbnkeicckh\0.9.15_0\services\node\node_
modules\ripple-emulator\node_modules\request\node_modules\form-data\node_modules
\combined-stream\lib\combined_stream.js:3:21)
at Module._compile (module.js:416:26)
at Object..js (module.js:434:10)
at Module.load (module.js:335:31)
at Function._load (module.js:294:12)
at Module.require (module.js:341:17)

 

 

Anyone know what's causing this error message and how to fix it?  Thanks.

 

 

Please use plain text.
New Contributor
averpix
Posts: 4
Registered: ‎04-09-2013
My Device: Curve 9300, Bold 9000

Re: Having problems getting Ripple Start Services to work.

Experience same thing, peeking for solution :smileywink:

AverPix
Please use plain text.
Contributor
helioz
Posts: 10
Registered: ‎08-03-2012
My Device: BlackBerry Z10 LE

Re: Having problems getting Ripple Start Services to work.

[ Edited ]

me too :smileysad:

 

Chrome: 26.0.1410.64

Ripple: 0.9.15

Please use plain text.
Developer
sarsipius
Posts: 20
Registered: ‎08-24-2012
My Device: Curve 9300

Re: Having problems getting Ripple Start Services to work.

Same here.

 

Happens right after upgrading to 0.9.15.  I uninstalled it and reinstalled 0.9.8 and it worked fine.  That is, until it updated itself to 0.9.15.

Please use plain text.
Contributor
pearprogramming
Posts: 12
Registered: ‎11-06-2012
My Device: Alpha A

Re: Having problems getting Ripple Start Services to work.

I am also experiencing this issue. Also noticed it after I updated to latest ripple. Need a solution quick!

Please use plain text.
New Contributor
averpix
Posts: 4
Registered: ‎04-09-2013
My Device: Curve 9300, Bold 9000

Re: Having problems getting Ripple Start Services to work.

My current workaround is to restore my Ripple 0.9.13, and use it while not connecting to the internet. But however this is a really silly workaround. Anybody has better solution?

AverPix
Please use plain text.
New Contributor
deleayuba
Posts: 4
Registered: ‎10-01-2012
My Device: BlackBerry 9300

Re: Having problems getting Ripple Start Services to work.

Whew!!!! i thought I had broken something in the system

Glad to know its not only me

 

 

Need a fix quick please

Please use plain text.
Developer
sarsipius
Posts: 20
Registered: ‎08-24-2012
My Device: Curve 9300

Re: Having problems getting Ripple Start Services to work.

[ Edited ]

Found the solution/workaround in another thread: 

https://github.com/blackberry/Ripple-UI/issues/750#issuecomment-16137118

 

Seems like the delayed-stream package is missing from the Ripple install for some reason.

 

Basically need to go into your Ripple extension folder under Chrome and install the delayed stream package.  So in a command prompt do:

cd C:\Users\<username>\AppData\Local\Google\Chrome\User Data\ Default\Extensions\cnijnnaimeaacneklcndcafbnkeicckh\0.9.15_0\services\node
npm install delayed-stream

Worked fine for me after that.

 

Although if you use a Chrome profile other than the default, replace Default with "Profile #".

Please use plain text.
New Developer
alexchesser
Posts: 9
Registered: ‎01-17-2013
My Device: developer - multi device.

Re: Having problems getting Ripple Start Services to work.

node.js:205
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
Error: Cannot find module 'delayed-stream'
    at Function._resolveFilename (module.js:318:11)
    at Function._load (module.js:263:25)
    at Module.require (module.js:341:17)
    at require (module.js:352:17)
    at Object.<anonymous> (C:\Users\achesser\AppData\Local\Google\Chrome\User Da
ta\Default\Extensions\cnijnnaimeaacneklcndcafbnkeicckh\0.9.15_0\services\node\no
de_modules\ripple-emulator\node_modules\request\node_modules\form-data\node_modu
les\combined-stream\lib\combined_stream.js:3:21)
    at Module._compile (module.js:416:26)
    at Object..js (module.js:434:10)
    at Module.load (module.js:335:31)
    at Function._load (module.js:294:12)
    at Module.require (module.js:341:17)

C:\Program Files (x86)\Google\Chrome\Application\26.0.1410.43>

 

 

Please use plain text.
New Contributor
deleayuba
Posts: 4
Registered: ‎10-01-2012
My Device: BlackBerry 9300

Re: Having problems getting Ripple Start Services to work.

Simple workaround - I noticed that ripple works for regular web sites like google.com so i figured if my app is not set up to work with :9910 it should work.

 

So from iis, set the RippleSites/MyAppFolder as a normal web site and voila... problem solved

 

 

Please use plain text.